@import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');

body.login {
  font-family: 'Inter', sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #ccc;
  background-image: url("./public/images/background.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

body.login div#login {
  padding: 0;
  margin: 1rem;
  background: #1c1c1c;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2rem), calc(100% - 2rem) 100%, 0 100%);
}

body.login div#login h1 {
  margin: 3rem 0 2rem;
}

body.login div#login h1 a {
  background-image: url("./public/images/vietgame-long.png");
  background-size: contain;
  margin: 0 auto;
  filter: hue-rotate(180deg) invert(1);
  height: auto;
  width: 60%;
}

body.login div#login #login_error,
body.login div#login .message,
body.login div#login .success {
  border-left: none;
  width: 80%;
  margin: auto;
}

body.login div#login .message {
  background: #2c2c2c;
}

body.login div#login .success {
  background: #34d399;
  color: #fef2f2;
}

body.login div#login #login_error {
  background: #f87171;
  color: #fef2f2;
}

body.login div#login form#loginform,
body.login div#login form#lostpasswordform,
body.login div#login form#registerform {
  background: none;
  border: none;
  margin: unset;
}

/* body.login div#login form#loginform p {}
body.login div#login form#loginform p label {}
body.login div#login form#loginform input {} */

body.login div#login form input[type=text],
body.login div#login form input[type=password],
body.login div#login form input[type=email] {
  background: transparent;
  font-size: 1rem;
  color: #ccc;
  border: solid 2px #2c2c2c;
  transition: box-shadow 0.3s ease;
}

body.login div#login form input[type=text]:focus,
body.login div#login form input[type=password]:focus,
body.login div#login form input[type=email]:focus {
  box-shadow: 0 0 0 2px #3b60e4;
}

body.login div#login form#loginform button.wp-hide-pw:focus {
  box-shadow: inset 0 0 0 2px #3b60e4;
  outline: none;
  border: none;
}

body.login div#login form#loginform button.wp-hide-pw .dashicons {
  top: 0.15rem;
}

/* body.login div#login form#loginform p.forgetmenot {} */

body.login div#login form#loginform p.forgetmenot input#rememberme {
  background: transparent;
  border: solid 2px #2c2c2c;
  box-shadow: none;
  outline: none;
  transition: all 0.2s ease;
  height: 1.25rem;
  width: 1.25rem;
}

body.login div#login form#loginform p.forgetmenot input#rememberme:focus {
  border: solid 2px #2c2c2c;
  box-shadow: 0 0 0 2px #3b60e4;
  outline: none;
}

body.login div#login form#loginform p.forgetmenot input#rememberme:checked::before {
  margin: -0.1rem 0 0 -0.15rem;
  height: 1.3125rem;
  width: 1.3125rem;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%232ca6ff' width='1.25rem' height='1.25rem' class='bi bi-check' viewBox='0 0 16 16'%3E%3Cpath d='M10.97 4.97a.75.75 0 0 1 1.07 1.05l-3.99 4.99a.75.75 0 0 1-1.08.02L4.324 8.384a.75.75 0 1 1 1.06-1.06l2.094 2.093 3.473-4.425a.267.267 0 0 1 .02-.022z'/%3E%3C/svg%3E");
}

/* body.login div#login form#loginform p.submit {} */

body.login div#login form p.submit input#wp-submit {
  transition: all 0.2s ease;
  background-color: #2ca6ff;
  border: none;
}

body.login div#login form p.submit input#wp-submit:hover {
  background-color: #0095ff;
}

/* body.login div#login p#nav {} */

body.login div#login p#nav a {
  color: inherit;
}

/* body.login div#login p#backtoblog {} */

body.login div#login p#backtoblog a {
  color: inherit;
}

body.login div.language-switcher {
  padding: 0;
  margin: 1rem;
  background: #1c1c1c;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 2rem), calc(100% - 2rem) 100%, 0 100%);
  width: 320px;
}

body.login div.language-switcher form#language-switcher {
  padding: 26px 24px 34px;
  margin: unset;
}

body.login div.language-switcher form#language-switcher select#language-switcher-locales {
  background: transparent url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M5%206l5%205%205-5%202%201-7%207-7-7%202-1z%22%20fill%3D%22%23ccc%22%2F%3E%3C%2Fsvg%3E') no-repeat right 5px top 55%;
  font-size: 1rem;
  color: #ccc;
  border: solid 2px #2c2c2c;
  transition: box-shadow 0.3s ease;
}

body.login div.language-switcher form#language-switcher select#language-switcher-locales:focus {
  border: solid 2px #2c2c2c;
  box-shadow: 0 0 0 2px #3b60e4;
  outline: none;
}

body.login div.language-switcher form#language-switcher input.button {
  transition: all 0.2s ease;
  background-color: #2ca6ff;
  border: none;
  min-height: 32px;
  padding: 0 12px;
  color: #fff;
  margin-top: 1rem;
}

body.login div.language-switcher form#language-switcher input.button:hover {
  background-color: #0095ff;
}

.dashicons-visibility::before {
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23cdd1d7' class='bi bi-eye-fill' viewBox='0 0 16 16'%3E%3Cpath d='M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z'/%3E%3Cpath d='M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z'/%3E%3C/svg%3E");
}

.dashicons-hidden::before {
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23cdd1d7' class='bi bi-eye-fill' viewBox='0 0 16 16'%3E%3Cpath d='m10.79 12.912-1.614-1.615a3.5 3.5 0 0 1-4.474-4.474l-2.06-2.06C.938 6.278 0 8 0 8s3 5.5 8 5.5a7.029 7.029 0 0 0 2.79-.588zM5.21 3.088A7.028 7.028 0 0 1 8 2.5c5 0 8 5.5 8 5.5s-.939 1.721-2.641 3.238l-2.062-2.062a3.5 3.5 0 0 0-4.474-4.474L5.21 3.089z'/%3E%3Cpath d='M5.525 7.646a2.5 2.5 0 0 0 2.829 2.829l-2.83-2.829zm4.95.708-2.829-2.83a2.5 2.5 0 0 1 2.829 2.829zm3.171 6-12-12 .708-.708 12 12-.708.708z'/%3E%3C/svg%3E");
}
